Package org.apache.sling.discovery.commons.providers.base

# Interface AsyncEvent

public interface AsyncEvent
An AsyncEvent can be enqueued to the AsyncEventSender for later, asynchronous triggering

## Method Summary

Modifier and Type
Method
Description
`void`
`trigger()`
As soon as this AsyncEvent is at the front of AsyncEventSender's FIFO queue it will be invoked via this trigger() method.

## Method Details

### trigger

void trigger()
As soon as this AsyncEvent is at the front of AsyncEventSender's FIFO queue it will be invoked via this trigger() method.